/**
 * Adds an asset to a specific account.
 * @param to - The recipient account address.
 * @param address - The address of the asset's root contract.
 * @returns An object containing the `add` function.
 * @example
 * const { add } = addAsset("recipientAddress", "assetAddress");
 * const response = await add();
 * console.log(response);
 */
export declare const addAsset: (to: string, address: string) => {
    add: () => Promise<{
        newAsset: boolean;
    } | undefined>;
};
