import { SubscribeArgs, SubscribeStatus } from "../types";
/**
 * Hook for subscribing to a contract.
 * @param subscribeArgs - The arguments for subscribing to changes on a the state on a contract i.e `contractStateChanged`.
 *
 * @returns An object containing the subscription status.
 * @example
 * const { status } = useSubscribe({
 *   address: "0:xabcdef1234567890",
 *   onDataCallback: (data) => {
 *     console.log("Received event data:", data);
 *   },
 * });
 */
export declare const useSubscribe: (subscribeArgs: SubscribeArgs) => {
    status: SubscribeStatus;
};
